Revoke Solution Credential
POST
/v1/portal/credentials/{solution_id}/revoke
const url = 'https://example.com/v1/portal/credentials/example/revoke?tenant_id=&lease_id=';const options = {method: 'POST', headers: {'Content-Type': 'application/json'}, body: '{}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request POST \ --url 'https://example.com/v1/portal/credentials/example/revoke?tenant_id=&lease_id=' \ --header 'Content-Type: application/json' \ --data '{}'Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”solution_id
required
Solution Id
string
Query Parameters
Section titled “Query Parameters”tenant_id
Tenant Id
string
lease_id
Lease Id
string
Header Parameters
Section titled “Header Parameters”Request Body
Section titled “Request Body”Responses
Section titled “Responses”Successful Response
Media typeapplication/json
PortalCredentialRevokeOut
object
solution_id
Solution Id
string
lease_id
Lease Id
string
status
Status
string
revoked_at
Revoked At
string
Example
{ "solution_id": "", "lease_id": "", "status": "", "revoked_at": ""}Validation Error
Media typeapplication/json
HTTPValidationError
object
detail
Detail
Array<object>
ValidationErrorobject
loc
required
Location
Array
msg
required
Message
string
type
required
Error Type
string
input
Input
ctx
Context
object
Examplegenerated
{ "detail": [ { "loc": [ "example" ], "msg": "example", "type": "example", "input": "example", "ctx": {} } ]}